#include "BackLight.h"
#include  "common.h"
#include "bsp_BU27030.h"
#include "System_Monitor.h"

#define BACK_LIGHT_DAY 800
#define BACK_LIGHT_NIGHT 200
_Light g_Light;

void GUI_Light_Init(void)
{
    g_Light.Light_Day    = 0;
    g_Light.Light_Night  = 0;
}

void Gui_LightProc(void)
{
    /*if(SYS_OPR_STAT_HALT)
    {
     
        return;  
    }

    if (SYS_OPR_STAT_IGN_ON)
    {
        if(BU2703_Get_Data1() > 200)
        {
            g_Light.Light_Night = 0;
            g_Light.Light_Day++;
            if (g_Light.Light_Day >= 15)//ms
            {
                g_Light.Light_Day = 15;
                
            }
            else
            {

            }
        }
        else
        {
            g_Light.Light_Day = 0;
            g_Light.Light_Night++;
            if (g_Light.Light_Night >= 15)
            {
                g_Light.Light_Night = 15;
        
            }
            else
            {

            }
        }
    }
    else
    {
        g_Light.Light_Day = 0;
        g_Light.Light_Night = 0;
    }*/
}
